Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.map
Class AbstractHashedMap.HashMapIterator

    java.lang.Object
      |
      +--org.apache.commons.collections.map.AbstractHashedMap.HashIterator
            |
            +--org.apache.commons.collections.map.AbstractHashedMap.HashMapIterator

All Implemented Interfaces:
  Iterator, MapIterator

Enclosing class:
  AbstractHashedMap

protected static class AbstractHashedMap.HashMapIterator
extends AbstractHashedMap.HashIterator
implements MapIterator

MapIterator implementation.

Field Summary

Fields inherited from class org.apache.commons.collections.map.AbstractHashedMap.HashIterator
`expectedModCount, hashIndex, last, next, parent`

Constructor Summary
`protected` | `AbstractHashedMap.HashMapIterator(AbstractHashedMap parent)`

Method Summary
`Object` | `getKey()` Gets the current key, which is the key returned by the last call to `next()`.
`Object` | `getValue()` Gets the current value, which is the value associated with the last key returned by `next()`.
`Object` | `next()` Gets the next key from the `Map`.
`Object` | `setValue(Object value)` Sets the value associated with the current key (optional operation).

Methods inherited from class org.apache.commons.collections.map.AbstractHashedMap.HashIterator
`currentEntry, hasNext, nextEntry, remove, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.commons.collections.MapIterator
`hasNext, remove`

Constructor Detail

### AbstractHashedMap.HashMapIterator

    protected AbstractHashedMap.HashMapIterator(AbstractHashedMap parent)

Method Detail

### next

    public Object next()

  Description copied from interface: `MapIterator`
  Gets the next key from the `Map`.

  Specified by:
    `next` in interface `MapIterator`
  Returns:
    the next key in the iteration

### getKey

    public Object getKey()

  Description copied from interface: `MapIterator`
  Gets the current key, which is the key returned by the last call to `next()`.

  Specified by:
    `getKey` in interface `MapIterator`
  Returns:
    the current key

### getValue

    public Object getValue()

  Description copied from interface: `MapIterator`
  Gets the current value, which is the value associated with the last key returned by `next()`.

  Specified by:
    `getValue` in interface `MapIterator`
  Returns:
    the current value

### setValue

    public Object setValue(Object value)

  Description copied from interface: `MapIterator`
  Sets the value associated with the current key (optional operation).

  Specified by:
    `setValue` in interface `MapIterator`
  Parameters:
    `value` - the new value
  Returns:
    the previous value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Apache Software Foundation. All Rights Reserved.